orig = ['adc.c',
'adc_common_v1.c',
'can.c',
'crc_common_all.c',
'dac_common_all.c',
'dac_common_v1.c',
'desig_common_all.c',
'desig_common_v1.c',
'dma_common_l1f013.c',
'exti_common_all.c',
'flash.c',
'flash_common_all.c',
'flash_common_f.c',
'flash_common_f01.c',
'gpio.c',
'gpio_common_all.c',
'i2c_common_v1.c',
'iwdg_common_all.c',
'pwr_common_v1.c',
'rcc.c',
'rcc_common_all.c',
'rtc.c',
'spi_common_all.c',
'spi_common_v1.c',
'timer.c',
'timer_common_all.c',
'usart_common_all.c',
'usart_common_f124.c',
'mac.c',
'mac_stm32fxx7.c',
'phy.c',
'phy_ksz80x1.c',
'usb.c',
'usb_control.c',
'usb_standard.c',
'usb_msc.c',
'usb_hid.c',
'usb_audio.c',
'usb_cdc.c',
'usb_midi.c',
'usb_dwc_common.c',
'usb_f107.c',
'st_usbfs_core.c',
'st_usbfs_v1.c',
'vector.c',
'systick.c',
'scb.c',
'nvic.c',
'assert.c',
'sync.c',
'dwt.c' ]


ses = ['assert.c',
'dwt.c',
'nvic.c',
'scb.c',
'sync.c',
'systick.c',
'vector.c',
'adc.c',
'flash.c',
'gpio.c',
'rcc.c',
'rtc.c',
'timer.c',
'adc_common_v1.c',
'crc_common_all.c',
'dac_common_all.c',
'dma_common_l1f013.c',
'exti_common_all.c',
'flash_common_all.c',
'flash_common_f01.c',
'flash_common_f.c',
'gpio_common_all.c',
'i2c_common_v1.c',
'iwdg_common_all.c',
'pwr_common_v1.c',
'rcc_common_all.c',
'spi_common_all.c',
'spi_common_v1.c',
'st_usbfs_core.c',
'timer_common_all.c',
'usart_common_all.c',
'usart_common_f124.c',
'can.c',
'st_usbfs_v1.c',
'mac.c',
'phy.c',
'phy_ksz80x1.c',
'mac_stm32fxx7.c',
'usb.c',
'usb_control.c',
'usb_dwc_common.c',
'usb_f107.c',
'usb_msc.c',
'usb_standard.c']

orig.sort()
ses.sort()

for x in orig:
	if not x in ses:
		print(x)